#
# Conditional build:
%bcond_without	static_libs	# static library

%define		cairomm_ver	1.15.4
%define		glibmm_ver	2.68.0
%define		gtk4_ver	4.15.5
%define		pangomm_ver	2.50.0
Summary:	A C++ interface for the GTK+ (a GUI library for X)
Summary(pl.UTF-8):	Wrapper C++ dla GTK+
Name:		gtkmm4
Version:	4.16.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/gtkmm/4.16/gtkmm-%{version}.tar.xz
# Source0-md5:	d2161c39f2be1ac0c1285cd8e0c63b6c
URL:		https://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairomm1.16-devel >= %{cairomm_ver}
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	gdk-pixbuf2-devel >= 2.36.0
BuildRequires:	glibmm2.68-devel >= %{glibmm_ver}
BuildRequires:	gtk4-devel >= %{gtk4_ver}
BuildRequires:	libepoxy-devel >= 1.2
BuildRequires:	libsigc++3-devel >= 3.0
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.12
BuildRequires:	pangomm2.48-devel >= %{pangomm_ver}
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	cairomm1.16 >= %{cairomm_ver}
Requires:	gdk-pixbuf2 >= 2.36.0
Requires:	glibmm2.68 >= %{glibmm_ver}
Requires:	gtk4 >= %{gtk4_ver}
Requires:	pangomm2.48 >= %{pangomm_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

%package devel
Summary:	gtkmm and gdkmm header files
Summary(pl.UTF-8):	Pliki nagłówkowe gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairomm1.16-devel >= %{cairomm_ver}
Requires:	gdk-pixbuf2-devel >= 2.36.0
Requires:	glibmm2.68-devel >= %{glibmm_ver}
Requires:	gtk4-devel >= %{gtk4_ver}
Requires:	libstdc++-devel >= 6:7
Requires:	pangomm2.48-devel >= %{pangomm_ver}

%description devel
Header files for gtkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkmm.

%package static
Summary:	gtkmm and gdkmm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gtkmm and gdkmm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gtkmm i gdkmm.

%package apidocs
Summary:	Reference documentation for gtkmm and gdkmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gtkmm i gdkmm
Group:		Documentation
Requires:	devhelp
BuildArch:	noarch

%description apidocs
Reference documentation for gtkmm and gdkmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja gtkmm i gdkmm.

%prep
%setup -q -n gtkmm-%{version}

# missing in release tarball, not needed for Linux
mkdir win32_installer
touch win32_installer/filelist.am \
	win32_installer/gtkmm-installer.nsi.in

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libgtkmm-4.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkmm-4.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkmm-4.0.so
%{_libdir}/gtkmm-4.0
%{_includedir}/gtkmm-4.0
%{_pkgconfigdir}/gtkmm-4.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkmm-4.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gtkmm-4.0
%{_datadir}/devhelp/books/gtkmm-4.0
%changelog
* Tue Sep 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkmm4.git;a=log;h=master

* Tue Sep 10 2024 Jakub Bogusz <qboosh@pld-linux.org> bdae23b
- updated to 4.16.0

* Sun Mar 24 2024 Jakub Bogusz <qboosh@pld-linux.org> f9b76a4
- updated to 4.14.0

* Tue Sep 12 2023 Jakub Bogusz <qboosh@pld-linux.org> a536aa5
- updated to 4.12.0

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 619eabd
- updated to 4.10.0

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 70f66c3
- updated to 4.8.0

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 53e753f
- updated to 4.6.1

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 1ef4c6a
- updated to 4.6.0

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> f946ca1
- updated to 4.4.0

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 339b730
- updated to 4.2.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> e2ee4a2
- updated to 4.0.2

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2baa9a0
- unconditional noarch subpackages

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 4019aba
- updated to 4.0.1

* Sun Dec 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 65b7ef8
- updated to 4.0.0 as gtkmm4 (C++17/glibmm2.68/atkmm2.36/pangomm2.48/gtk4 based)

* Tue Dec 15 2020 Jakub Bogusz <qboosh@pld-linux.org> c6e33ff
- updated to 3.24.3

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 3f8d9ad
- updated to 3.24.2

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 7c1d022
- updated to 3.24.1

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 7c2001a
- updated glibmm and gtk+3 versions

* Tue Nov 13 2018 Adam Gołębiowski <adamg@pld-linux.org> 32beb5b
- updated to 3.24

* Thu Nov 08 2018 Adam Gołębiowski <adamg@pld-linux.org> 3c17d5d
- updated to 3.22.3

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 4f3647a
- updated to 3.22.2

